
-- Initialize the variables
local Server = GetRealmName();
local CurrentPlayerName = UnitName("player");


CharRecords = {};
CharRecords[Server] = {};
CharRecords[Server][CurrentPlayerName] = {};


Inventory = {};
Inventory[Server] = {};
Inventory[Server][CurrentPlayerName] = {};


--Banker_OnLoad = function()
function Banker_OnLoad()

	BankerFrame:RegisterEvent("BANKFRAME_CLOSED");
	BankerFrame:RegisterEvent("BANKFRAME_OPENED");

	BankerFrame:RegisterEvent("PLAYER_LOGOUT");

	BankerFrame:RegisterEvent("MAIL_CLOSED");
	BankerFrame:RegisterEvent("MAIL_SHOW");

	BankerLoadTime = GetTime()
end




--Banker_OnEvent = function(self,event,...)
function Banker_OnEvent(self,event,...)

	recordTimeOfEvent(event)
	

	if event=="BANKFRAME_CLOSED" or event=="BANKFRAME_OPENED" then
		print(event)
		tablefyInventory()
		characterSheetDetails()
	end
	
end

local eventIdNumber = 0

function recordTimeOfEvent(event)

	local Server = GetRealmName();
	local CurrentPlayerName = UnitName("player");

	if not CharRecords then
		CharRecords = {};
	end
	
	if not CharRecords[Server] then
		CharRecords[Server] = {};
	end
	
	if not CharRecords[Server][CurrentPlayerName] then
		CharRecords[Server][CurrentPlayerName] = {};
	end
	
	if not CharRecords[Server][CurrentPlayerName][event] then
		CharRecords[Server][CurrentPlayerName][event] = {};
	end
	
	CharRecords[Server][CurrentPlayerName][event]["GetTime"] = GetTime();
	CharRecords[Server][CurrentPlayerName][event]["time"] = time();
	
	CharRecords[Server][CurrentPlayerName][event]["eventIdNumber"] = eventIdNumber;

	eventIdNumber = eventIdNumber + 1
end


--Banker_OnUpdate = function ()
function Banker_OnUpdate()

	if BankerLoadTime and GetTime()-BankerLoadTime > 4 and xtimer("characterSheetDetails()",60*60) then
	
		characterSheetDetails()
	
	end
	
end




